#include<stdio.h>
#include<stdlib.h>
#include<math.h>
#include"dSFMT.h"


dsfmt_t dsfmt1;				//random

double rand_power(double alpha){	//rand :power-law
	double x = dsfmt_genrand_close_open(&dsfmt1);
	double y = pow(x, -1.0/alpha);
	return y;
}



int main( int argc , char *argv[]){
	
	//Seed of random number
	dsfmt_init_gen_rand(&dsfmt1,3);
	
	int i,j , Number;
	double rand;
	double sum1 , sum2 ;
	double ave , std;
	double alpha = atof(argv[1]);
	
	char *fnave , *fnstd;
	fnave = (char * )calloc( 100 , sizeof(char) );
	fnstd = (char * )calloc( 100 , sizeof(char) );
	sprintf(fnave , "output/average_%s.dat",argv[1]);
	sprintf(fnstd , "output/std_dev_%s.dat",argv[1]);
	
	FILE *fpave , *fpstd;
	if( (fpave = fopen( fnave, "w")) ==NULL){
		printf("FILE Error: average\n");
		exit(1);
	}
	if( (fpstd = fopen( fnstd, "w")) == NULL){
		printf("FILE Erro: std deviation\n");
		exit(1);
	}
	
	for( i=20 ; i<=60 ; i++){
		Number = (int)( pow(10 , i/10.0) );	//Number changes as log-scale
		
		sum1 = 0.0;
		sum2 = 0.0;
		
		for( j= 0; j< Number ; j++){	//generate the random number
			rand = rand_power(alpha);
			sum1 += rand;
			sum2 += rand * rand;
		}
		ave = sum1/Number;
		std = sum2/Number - pow( sum1/Number , 2);
		
		fprintf(fpave , "%7d	%f\n",Number, ave);
		fprintf(fpstd , "%7d	%f\n",Number, std);
		
	}
	
	
	fclose(fpave);
	fclose(fpstd);
	free(fnave);
	free(fnstd);
	
	return 0;
}



