#!/bin/bash

mkdir -p output

gcc -o 	problem3_5_1.exe 	problem3_5_1.c 	dSFMT.c

for alpha in 1 2 3
do

./problem3_5_1.exe ${alpha}

done

gnuplot <<EOF
set terminal postscript eps enhanced color
set output "average.eps"
set size 0.6,0.6
set xlabel "N"
set ylabel "average"
set log xy
set format x "10^{%L}"
set format y "10^{%L}"
set key left
plot	"output/average_1.dat" u 1:2 title "{/Symbol a}=1" w lp pt 7 ,\
		"output/average_2.dat" u 1:2 title "{/Symbol a}=2" w lp pt 7 ,\
		"output/average_3.dat" u 1:2 title "{/Symbol a}=3" w lp pt 7 
EOF


gnuplot <<EOF
set terminal postscript eps enhanced color
set output "variance.eps"
set size 0.6,0.6
set xlabel "N"
set ylabel "std dev"
set log xy
set format x "10^{%L}"
set format y "10^{%L}"
set key left
plot 	"output/variance_1.dat" u 1:2 title "{/Symbol a}=1" w lp pt 7 ,\
		"output/variance_2.dat" u 1:2 title "{/Symbol a}=2" w lp pt 7 ,\
		"output/variance_3.dat" u 1:2 title "{/Symbol a}=3" w lp pt 7
EOF
